<?php
/**
 * Plugin K2Jomcomment
 * @version 1.0
 * @package JomComment
 * @subpackage Plugins
 * @author Markus Rouenhoff (m.rouenhoff@joomla-aktuell.de)
 * @based on a plugin from Sergey M. Litvinov (smart@joomlatune.ru)
 * @copyright (C) 2010 by  Markus Rouenhoff (m.rouenhoff@joomla-aktuell.de)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 *
 **/

// no direct access
defined('_JEXEC') or die ('Restricted access');

jimport('joomla.plugin.plugin');

class plgK2Jomcomment extends JPlugin {
	
	function plgK2Jomcomment( & $subject, $params)
	{
		parent::__construct($subject, $params);
	}

	function onK2CommentsBlock( &$item, &$params, $limitstart )
	{
		$result = '';

		if ($item->params->get('itemComments')) {
        include_once( JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php' );
	        
	      $result = jomcomment($item->id, "com_k2");

	   		}
		return $result;
	}

	function onK2CommentsCounter( &$item, &$params, $limitstart )
	{
   	$result = '';

    $pluginParams = new JParameter( $plugin->params );
    
    if  (JRequest::getBool('print')) 
     { return $result;}

		if ($item->params->get('itemComments')) {

             include_once( JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php' );
    
	 			     $count = jcCountComment($item->id, "com_k2");
		 		     if ($count == 0) {
		 		    	$link = $item->link.'#addcomments';
		 		    	$text = JText::_('Add comment');
	 			    } else {
		 		    	$link = $item->link.'#comments';
		 		    	$text = JText::sprintf('Read comments', $count);
		 		      }
		 		      $result = '<a href="'.$link.'" title="'.$text.'">'.$text.'</a>';
		 	         
		         }
		         return $result;		    		    
	}
}
